#
# spec file for package perl-XML-SAX-Base
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           perl-XML-SAX-Base
Version:        1.08
Release:        11.3
License:        GPL-1.0+ or Artistic-1.0
%define cpan_name XML-SAX-Base
Summary:        Base class SAX Drivers and Filters
Url:            http://search.cpan.org/dist/XML-SAX-Base/
Group:          Development/Libraries/Perl
Source:         http://www.cpan.org/authors/id/G/GR/GRANTM/XML-SAX-Base-%{version}.tar.gz
# Source:        %{cpan_name}-%{version}.tar.gz
# BuildRequires: perl(Test::Pod) perl(Test::Pod::Coverage)
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%{perl_requires}

%description
This module has a very simple task - to be a base class for PerlSAX drivers
and filters. Its default behavior is to pass the input directly to the
output unchanged. It can be useful to use this module as a base class so
you don't have to, for example, implement the characters() callback.

The main advantages that it provides are easy dispatching of events the
right way (i.e., it takes care for you of checking that the handler has
implemented that method, or has defined an AUTOLOAD), and the guarantee
that filters will pass along events that they aren't implementing to
handlers downstream that might nevertheless be interested in them.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
export AUTOMATED_TESTING=1
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
export AUTOMATED_TESTING=1
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(644,root,root,755)
%doc Changes dist.ini README

%changelog
* Fri Nov 18 2011 coolo@suse.com
- update to 1.08
  - rename BuildSAXBase.PL => BuildSAXBase.pl
  - add link to Perl SAX API Reference
  - modify BuildSAXBase.PL to include version stanzas when run manually
  - make BuildSAXBase.PL harmless unless run with --force option
* Fri Oct 14 2011 andrea.turrini@gmail.com
- fixed typos in perl-XML-SAX-Base.spec
* Mon Sep 12 2011 vcizek@suse.com
- use original gzipped tarball
* Fri Sep  9 2011 vcizek@suse.com
- initial pull from CPAN with cpanspec_obs-0.8
- dependency of perl-XML-SAX >= 0.99
* Fri Sep  9 2011 vcizek@suse.com
- initial package 1.06
  * created by cpanspec 1.78.03
